Package org.eclipse.cdt.core.dom.ast

## Interface IASTPreprocessorObjectStyleMacroDefinition

All Superinterfaces:
  `IASTNameOwner`, `IASTNode`, `IASTPreprocessorMacroDefinition`, `IASTPreprocessorStatement`

    public interface IASTPreprocessorObjectStyleMacroDefinition
    extends IASTPreprocessorMacroDefinition

This interface represents an object-style macro definition. e.g.

     #define ONE_TWO_THREE 123

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`IASTNode.CopyStyle`

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNameOwner

`r_declaration, r_definition, r_reference, r_unclear`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`EMPTY_NODE_ARRAY`

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IASTPreprocessorMacroDefinition

`MACRO_NAME`

### Method Summary

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNameOwner

`getRoleForName`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTNode

`accept, contains, copy, copy, getChildren, getContainingFilename, getFileLocation, getLeadingSyntax, getNodeLocations, getOriginalNode, getParent, getPropertyInParent, getRawSignature, getSyntax, getTrailingSyntax, getTranslationUnit, isFrozen, isPartOfTranslationUnitFile, setParent, setPropertyInParent`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IASTPreprocessorMacroDefinition

`getExpansion, getExpansionLocation, getName, isActive`